package cn.stylefeng.team.portal.modular.management.service;

import cn.stylefeng.roses.kernel.db.api.pojo.page.PageResult;
import cn.stylefeng.team.portal.modular.management.entity.CommonAppLink;
import cn.stylefeng.team.portal.modular.management.pojo.request.CommonAppLinkRequest;
import com.baomidou.mybatisplus.extension.service.IService;

public interface CommonAppLinkService extends IService<CommonAppLink> {

    void add(CommonAppLinkRequest commonAppLinkRequest);

    void del(CommonAppLinkRequest commonAppLinkRequest);

    void batchDelete(CommonAppLinkRequest commonAppLinkRequest);

    void edit(CommonAppLinkRequest commonAppLinkRequest);

    CommonAppLink detail(CommonAppLinkRequest commonAppLinkRequest);

    PageResult<CommonAppLink> findPage(CommonAppLinkRequest commonAppLinkRequest);

}
